Bug 1867510 - Container images have incorrect value for `summary` label set.
Summary: Container images have incorrect value for `summary` label set.
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-10 08:27 UTC by Pawel Krupa
Modified: 2020-09-08 10:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 903 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:23 UTC
Github openshift configmap-reload pull 21 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:22 UTC
Github openshift grafana pull 43 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:22 UTC
Github openshift k8s-prometheus-adapter pull 28 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:22 UTC
Github openshift kube-rbac-proxy pull 28 None closed Bug 1867510: Fix container image metadata 2020-09-08 09:35:22 UTC
Github openshift kube-state-metrics pull 32 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:21 UTC
Github openshift node_exporter pull 67 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:21 UTC
Github openshift prom-label-proxy pull 324 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:20 UTC
Github openshift prometheus-alertmanager pull 35 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:21 UTC
Github openshift prometheus-operator pull 83 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:21 UTC
Github openshift prometheus pull 53 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:20 UTC
Github openshift telemeter pull 348 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:20 UTC
Github openshift thanos pull 33 None closed Bug 1867510: fix CVP issues due to incorrect labels set 2020-09-08 09:35:20 UTC

Description Pawel Krupa 2020-08-10 08:27:04 UTC
Description of problem:
CVP reports that container images are using incorrect, inherited value of `summary` label. This needs to be fixed in Dockerfiles

Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Download container image
2. Inspect container image
3.

Actual results:
`summary` label is set to value from base image

Expected results:
`summary` label is set to value describing current container and not base image

Additional info:

Comment 1 Pawel Krupa 2020-08-21 13:12:35 UTC
Setting UpcomingSprint as we are still debugging an issue in one PR.

Comment 8 Junqi Zhao 2020-09-04 06:28:52 UTC
since the summary for kube-rbac-proxy is null, assign it back

Comment 9 Pawel Krupa 2020-09-08 09:37:52 UTC
Empty summary is acceptable, only labels with incorrect values are wrong.

Comment 10 Junqi Zhao 2020-09-08 10:58:49 UTC
based on Comment 7 - Comment 9, set to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.